---
lang: en
title: 'API docs: authentication-jwt.securityspecenhancer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.securityspecenhancer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [SecuritySpecEnhancer](./authentication-jwt.securityspecenhancer.md)

## SecuritySpecEnhancer class

A spec enhancer to add bearer token OpenAPI security entry to `spec.component.securitySchemes`

<b>Signature:</b>

```typescript
export declare class SecuritySpecEnhancer implements OASEnhancer 
```
<b>Implements:</b> [OASEnhancer](./openapi-v3.oasenhancer.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./authentication-jwt.securityspecenhancer.name.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [modifySpec(spec)](./authentication-jwt.securityspecenhancer.modifyspec.md) |  |  |


